1、在学习两个Activity的切换时,重新把新的工程部署上模拟器时候出现错误:ActivityManager: Warning: Activity not started, its current task has been brought to the front。

原因是:两个应用起了同样的名字,模拟器总是识别第一个

或者是两个应用中的一个已经在系统的缓存中,这是android的机制

解决方法是:重新启动一下模拟器;如果还是不行,可以先把模拟器delete掉再重新add就可以了。

 

2、另外,若是有版本信息警告:

WARNING: Application does not specify an API level requirement!
Device API version is 8 (Android 2.2)

在androidMainfest.xml 里的<manifest></manifest>之间的标记符添加 <uses-sdk android:minSdkVersion="8" />这行xml代码就行。其中7表示version2.2的版本

 

3、若已经添加还出现如下警告:

WARNING: <uses-sdk> tag should specify a target API level (the highest verified version; when running on later
versions, compatibility behaviors may be enabled) with
 android:targetSdkVersion="?"

只要在上面的地方再设置一个target目标版本就ok了(见如下蓝色改动地方)

<uses-sdk android:minSdkVersion="8"
          android:targetSdkVersion="8"/>

 

 

4、若出现这个警告:

<uses-permission> tag appears after <application> tag

把<uses-permission> 放到 <application> 前面即可消除,据说是新版本的“特性”